# This is a Guess the Letter game by PMP.
# This version (01) is the original program.


import random  # This imports a module to add randomizing functions to the basic functions available in Python.

print()                              # This prints a blank line.
print('*' * 26)                      # This prints a string of 26 asterisks.
print('*' + ' ' * 24 + '*')          # This prints an asterisk, then a string of 24 spaces, then an asterisk.
print('*  Letter Guessing Game  *')  # This prints the game's title with an asterisk and two spaces on each side.
print('*' + ' ' * 24 + '*')          # This prints an asterisk, then a string of 24 spaces, then an asterisk.
print('*' * 26)                      # This prints a string of 26 asterisks.
print()                              # This prints a blank line.

print('Hello! What is your name?')
playerName = input()  # This allows the player to enter his/her name.

number = random.randint(0, 25)    # This sets the variable 'number' to an integer between 1 and 26 inclusive.
guessesTaken = 0                  # This sets the counter for the number of guesses taken to zero.
letterList = ['a','b','c','d','e','f','g','h','i','j','k','l','m','n','o','p','q','r','s','t','u','v','w','x','y','z']
letter = letterList[number]       # This picks a random letter from 0-25 (N.B. not 1-26) in the list of letters.

print('Well, ' + playerName + ', I\'m thinking of a letter from A to Z.')
# N.B. \' allows an apostrophe to be used within a string.
print('You have a maximum of 6 guesses.')

while guessesTaken < 6:       # This 'while' loop checks that the number of guesses taken is less than 6.
    print('You have ' + str(6 - guessesTaken) + ' guesses left.')
    print('Take a guess.')
    guess = input()           # This allows the player to enter a guess.
    guess = str.lower(guess)  # This converts the player's entry to lower case.

    guessesTaken = guessesTaken + 1  # This adds one to the counter for number of guesses taken.

    if guess < letter:      # This 'if' statement gives an output if the player's guess is less than the computer's chosen letter.
        print('Your guess is too early in the alphabet.')

    elif guess > letter:    # This 'elif' statement gives an output if the player's guess is greater than the computer's chosen letter.
        print('Your guess is too far on in the alphabet.')
        # N.B. 'elif' means 'else if'.

    elif guess == letter:   # This 'elif' statement gives an output if the player's guess is equal to the computer's chosen letter.
        break               # If the guess is equal to the letter, this stops any more guesses being asked for.

if guess == letter:  # This 'if' statement gives an output if the player's guess equals the computer's letter.
    print('Well done, ' + playerName + '! You guessed my letter in ' + str(guessesTaken) + ' guesses!')
    # N.B. str() converts a numeric variable to a string.
else:                # This 'else' statement gives an output if the player's guess is NOT equal to the computer's letter.
    print('Bad luck. The letter I was thinking of was ' + str.upper(letter) + '.')  # str.upper() converts 'letter' to upper case.
